Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 431748 - Version bump: media-video/avidemux-2.6.0
Summary: Version bump: media-video/avidemux-2.6.0
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard: [qt overlay]
Keywords: InOverlay
Depends on:
Blocks:
 
Reported: 2012-08-17 14:28 UTC by Andrey Aleksandrovich
Modified: 2012-11-04 11:13 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild for Avidemux_2.6 from git (avidemux-2.6.9999.ebuild,2.29 KB, text/plain)
2012-09-06 13:50 UTC, Andrey Aleksandrovich
Details
fix build with gtk interface (fix-gtk.patch,651 bytes, patch)
2012-10-08 11:50 UTC, poncho
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Aleksandrovich 2012-08-17 14:28:15 UTC
The latest branch of Avidemux is 2.6.x. I tried it (8121 build) on ubuntu and it was stable enough (for simple video cutting). But in gentoo there is only media-video/avidemux-2.5.6 ebuild in portage.
Could anyone create the ebuild for new 2.6 :) [url=http://www.avidemux.org/admWiki/doku.php?id=build:install_2.6]Here[/url] is notes about how to built, but I couldn't make it :(
Latest source:
svn://svn.berlios.de/avidemux/branches/avidemux_2.6_branch_mean

Thanks.
Comment 1 Davide Pesavento gentoo-dev 2012-08-18 23:04:30 UTC
The latest official release is still 2.5.6, so you're basically asking to package a snapshot from the 2.6.x branch.

That branch is considered experimental according to http://www.avidemux.org/admWiki/doku.php?id=versions:main, and knowing how much troublesome avidemux has been in the past, personally I have no intention to package a 2.6 snapshot, sorry.

Other devs may be interested though, so I'm leaving this bug open for a while.
Comment 2 Andrey Aleksandrovich 2012-08-19 08:54:06 UTC
>>> That branch is considered experimental according to http://www.avidemux.org/admWiki/doku.php?id=versions:main, and knowing how much troublesome avidemux has been in the past,

Yes, it was, but now is it stable enough for ~ KEYWORD (maybe not the latest snapshot).
Also, it's the only open_source application at this moment, that can correctly work with MPEG-TS video (like IPTV streams and similar). Well, sorry, this is not interesting. If so, I will probably have to use another distribution of Linux.
Comment 3 Davide Pesavento gentoo-dev 2012-08-19 09:42:14 UTC
(In reply to comment #2)
> >>> That branch is considered experimental according to http://www.avidemux.org/admWiki/doku.php?id=versions:main, and knowing how much troublesome avidemux has been in the past,
> 
> Yes, it was, but now is it stable enough for ~ KEYWORD (maybe not the latest
> snapshot).

Which one then? Can you point us to a known-good state of the 2.6 branch that is suitable for packaging? Even better, why don't you ask upstream to make a (alpha or beta) release? That would definitely be easier for us to package.

> Also, it's the only open_source application at this moment, that can
> correctly work with MPEG-TS video (like IPTV streams and similar). Well,
> sorry, this is not interesting. If so, I will probably have to use another
> distribution of Linux.

You're free to use whichever distro you want, but AFAICS no distro has a packaged 2.6 snapshot in its repos yet...

The fact that *I* am not interested doesn't mean that *nobody* is interested. In fact, I already said I'm leaving this bug open for other potentially interested devs.
Comment 4 Markos Chandras (RETIRED) gentoo-dev 2012-08-19 10:18:49 UTC
Why do you want to code that is not considered stable for a release? Is 2.5.6 broken for you?
Comment 5 Andrey Aleksandrovich 2012-08-19 13:36:32 UTC
(In reply to comment #4)
> Why do you want to code that is not considered stable for a release? Is
> 2.5.6 broken for you?

Ok, I will explain. Avidemux-2.5.x uses "frame based" audio-video accuracy, and Avidemux-2.6.x uses "time based" one instead. Well, it is more useful for transport streams (and nowadays video codecs like x264, which can use 'Variable Frame Rate'). So, when I use 2.5.x for simple cutting, I always get out of a-v sync.
Even in FAQ of Avidemux-2.5.x it is mentioned:
http://forum.doom9.org/showthread.php?t=126164
I quote:

[quote]
>>> Why do my MPEG-2 files get out of sync when I cut/edit them in Avidemux?

Captured MPEG files are generally from DVB S/T (in MPEG TS format) or from IVTV based cards or any other card with hardware MPEG-2 encoding (in MPEG PS format). These captures often contain transmission errors which end up as missing or broken frames! A video player (MPC, MPlayer, xine, VLC, etc.) will constantly re-sync the streams using the timing information embedded in the stream. Avidemux will not! Apart from the constant shift, which is easily recoverable using the timeshift filter, it will result in a growing synchronisation issue when encoding or transcoding. Even saving without re-encoding will be async! MythTV recordings are a prime example of this problem: The audio will be offset by approximately -330 ms at the start of the recording and the drift throughout the duration of the recording.
...
[/quote]

This problem doesn't exists in 2.6.x branch. That's it.


ps If you are unsure about ~ keyword, it may be 'hard masked' in the near term.
Comment 6 Andrey Aleksandrovich 2012-08-19 13:54:19 UTC
>>> Which one then? Can you point us to a known-good state of the 2.6 branch that is suitable for packaging?

I used the "2.6.0_r8121"

> AFAICS no distro has a packaged 2.6 snapshot in its repos yet...

There is deb packages (of corse experimental). I tried to use it in Ubuntu on my another computer. And there is available for Fedora ones.
Here, for example: http://www.avidemux.org/nightly/fedora14_32/
Comment 7 Andrey Aleksandrovich 2012-08-19 14:38:45 UTC
> Can you point us to a known-good state of the 2.6 branch that is suitable for packaging?

Try this one http://www.avidemux.org/nightly/source/
Comment 8 Davide Pesavento gentoo-dev 2012-08-19 18:11:45 UTC
(In reply to comment #6)
> > AFAICS no distro has a packaged 2.6 snapshot in its repos yet...
> 
> There is deb packages (of corse experimental). I tried to use it in Ubuntu
> on my another computer. And there is available for Fedora ones.
> Here, for example: http://www.avidemux.org/nightly/fedora14_32/

Those packages are *NOT* official packages from the distro repository! Please compare apples to apples.
Comment 9 Markos Chandras (RETIRED) gentoo-dev 2012-08-19 18:48:54 UTC
(In reply to comment #7)
> > Can you point us to a known-good state of the 2.6 branch that is suitable for packaging?
> 
> Try this one http://www.avidemux.org/nightly/source/

These are daily snapshots. We aint gonna package that. Maybe we could add a live ebuild instead...
Comment 10 Andrey Aleksandrovich 2012-08-19 18:58:58 UTC
(In reply to comment #8)
> Those packages are *NOT* official packages from the distro repository!
> Please compare apples to apples.

That's right. I was doing that on my own risk.


(In reply to comment #9)
> These are daily snapshots. We aint gonna package that. Maybe we could add a
> live ebuild instead...

That would be awesome :)
Comment 11 Andrey Aleksandrovich 2012-08-30 13:30:05 UTC
Thanks to 4nykey.
The ebuild is here:
http://code.google.com/p/4nykey/source/browse/portage/media-video/avidemux/?r=1054

Have not tried yet, but will soon.
Comment 12 Ben de Groot (RETIRED) gentoo-dev 2012-09-01 11:46:40 UTC
Just note that that is a very outdated ebuild (unslotted gtk+ and qt deps, for example).
Comment 13 Markos Chandras (RETIRED) gentoo-dev 2012-09-01 15:08:17 UTC
(In reply to comment #12)
> Just note that that is a very outdated ebuild (unslotted gtk+ and qt deps,
> for example).

Yeah doesn't look ok (QA wise) but maybe we can just copy it and rework it in our overlay?
Comment 14 Markos Chandras (RETIRED) gentoo-dev 2012-09-06 13:15:16 UTC
No reason to package 2.6_pre snapshots anymore as 2.6.0 was released today
Comment 15 Andrey Aleksandrovich 2012-09-06 13:50:47 UTC
Created attachment 323076 [details]
ebuild for Avidemux_2.6 from git
Comment 16 Andrey Aleksandrovich 2012-09-06 13:51:45 UTC
4nikey has updated ebuild for avidemux_2.6 (attached). New ebuild uses git instead of svn.
I have already tried it. Works without problems (simple cutting and muxing).


(In reply to comment #14)
> No reason to package 2.6_pre snapshots anymore as 2.6.0 was released today

Is there _src package_ ? Or we still have to compile avidemux_2.6 from Git?
Comment 17 Markos Chandras (RETIRED) gentoo-dev 2012-09-06 13:52:49 UTC
(In reply to comment #16)
> 4nikey has updated ebuild for avidemux_2.6 (attached). New ebuild uses git
> instead of svn.
> I have already tried it. Works without problems (simple cutting and muxing).
> 
> 
> (In reply to comment #14)
> > No reason to package 2.6_pre snapshots anymore as 2.6.0 was released today
> 
> Is there _src package_ ? Or we still have to compile avidemux_2.6 from Git?

Like I said, there is a 2.6.0 release

http://sourceforge.net/projects/avidemux/files/avidemux/2.6.0/avidemux_2.6.0.tar.gz/download
Comment 18 Andrey Aleksandrovich 2012-09-06 13:55:07 UTC
Oh, Cool!
Can you rework the ebuild I am just uploaded to this release?
Comment 19 Davide Pesavento gentoo-dev 2012-09-06 16:39:27 UTC
Quoting upstream:
"You can keep 2.5 and 2.6 installed at the same time, and it is probably a good idea."

So I guess we should put the new release into a different SLOT, if it's not too much work...
Comment 20 Andrey Aleksandrovich 2012-09-06 18:04:26 UTC
(In reply to comment #19)
> Quoting upstream:
> "You can keep 2.5 and 2.6 installed at the same time, and it is probably a
> good idea."
> 
> So I guess we should put the new release into a different SLOT, if it's not
> too much work...

I think so, especially if you use 'git ebuild' as sample. There is already 'SLOT="3"' variable in that ebuild.
Comment 21 Markos Chandras (RETIRED) gentoo-dev 2012-09-06 21:26:30 UTC
(In reply to comment #18)
> Oh, Cool!
> Can you rework the ebuild I am just uploaded to this release?

Obviously, I will bump this ebuild at some point
Comment 22 Markos Chandras (RETIRED) gentoo-dev 2012-09-19 08:21:15 UTC
(In reply to comment #21)
> (In reply to comment #18)
> > Oh, Cool!
> > Can you rework the ebuild I am just uploaded to this release?
> 
> Obviously, I will bump this ebuild at some point

I know this is taking longer than usual but this is because nobody from the Qt team is actually using this software so we could really benefit from a proxy-maintainer here (user or dev). If anyone is interested please let us know
Comment 23 Ben de Groot (RETIRED) gentoo-dev 2012-09-19 09:21:19 UTC
I've added an ebuild for 2.6.0 to the qt overlay, based on the in-tree ebuild for 2.5.6. I have updated the SRC_URI and checked the locales, and made a start on implementing l10n support. Basically everything else needs to be checked and adjusted accordingly. 

Note upstream documentation:
http://www.avidemux.org/admWiki/doku.php?id=build:install_2.6
and this one, which is outdated in places:
http://www.avidemux.org/admWiki/doku.php?id=build:compiling_avidemux
Comment 24 Andrey Aleksandrovich 2012-09-19 14:01:28 UTC
(In reply to comment #23)
> I've added an ebuild for 2.6.0 to the qt overlay, based on the in-tree
> ebuild for 2.5.6. I have updated the SRC_URI and checked the locales, and
> made a start on implementing l10n support. Basically everything else needs
> to be checked and adjusted accordingly. 
> 
> Note upstream documentation:
> http://www.avidemux.org/admWiki/doku.php?id=build:install_2.6
> and this one, which is outdated in places:
> http://www.avidemux.org/admWiki/doku.php?id=build:compiling_avidemux

Something is wrong with your ebuild:

 * avidemux_2.6.0.tar.gz SHA256 SHA512 WHIRLPOOL size ;-) ...                                              [ ok ]
>>> Unpacking source...
>>> Unpacking avidemux_2.6.0.tar.gz to /mnt/media3/portage-tmp/portage/media-video/avidemux-2.6.0/work
>>> Source unpacked in /mnt/media3/portage-tmp/portage/media-video/avidemux-2.6.0/work
>>> Preparing source in /mnt/media3/portage-tmp/portage/media-video/avidemux-2.6.0/work/avidemux_2.6.0 ...
sed: can't read avidemux2-gtk.desktop: No such file or directory
Comment 25 Ben de Groot (RETIRED) gentoo-dev 2012-09-19 14:17:01 UTC
(In reply to comment #24)
> Something is wrong with your ebuild:

As I said:

> > Basically everything else needs to be checked and adjusted accordingly.

This is also why it is hard-masked. The locales and (most of) the dependencies should be correct. But everything else (the ebuild phases) need review. But at least there is an ebuild that can be used as a starting point.
Comment 26 Andrey Aleksandrovich 2012-09-19 16:38:24 UTC
(In reply to comment #25)
> (In reply to comment #24)
> > Something is wrong with your ebuild:
> 
> As I said:
> 
> > > Basically everything else needs to be checked and adjusted accordingly.
> 
> This is also why it is hard-masked. The locales and (most of) the
> dependencies should be correct. But everything else (the ebuild phases) need
> review. But at least there is an ebuild that can be used as a starting point.

There's already ebuild 'for git'. To build 2.6.0 ebuild will be simpler using it than 2.5.x I think.
Comment 27 Markos Chandras (RETIRED) gentoo-dev 2012-10-07 12:17:32 UTC
I had a brief look. The build system is absolutely horrible. Like really really horrible. This will take a while before one of us actually manages to fix it. I will write an email on -dev that we actually looking for a dedicated maintainer.
Comment 28 Markos Chandras (RETIRED) gentoo-dev 2012-10-07 20:14:14 UTC
I pushed an improved ebuild. it compiles and installs for me. Please try it and report any problems here.
Comment 29 poncho 2012-10-08 11:50:21 UTC
Created attachment 325984 [details, diff]
fix build with gtk interface

Thanks for the ebuild.
Comment 30 Markos Chandras (RETIRED) gentoo-dev 2012-10-08 12:05:15 UTC
(In reply to comment #29)
> Created attachment 325984 [details, diff] [details, diff]
> fix build with gtk interface
> 
> Thanks for the ebuild.

Thanks. The patch looks good. I will merge it tonight
Comment 31 Markos Chandras (RETIRED) gentoo-dev 2012-11-04 11:13:07 UTC
Moved to gx86 for broader testing. Thank you all